

// SDKEvents object defines
#ifndef _INC_SDKEvents
#define _INC_SDKEvents

#define FAPIEVENT_RECEIVELOG  			0x00002000
#define FAPIEVENT_TRANSACTIONLOG		0x00004000
#define FAPIEVENT_SENDQUEUE				0x00008000
#define FAPIEVENT_SERVERCONNECTSTATUS	0x00100000


typedef enum {
	VIEWER_FORMAT_FAX = 0x01,
	VIEWER_FORMAT_PDF = 0x02,
	VIEWER_FORMAT_TIFF = 0x04,
	VIEWER_FORMAT_JPG = 0x08,
} TSDKViewerFormats;


typedef enum {
	SDKVIEWERERROR_NOERROR = 0,
	SDKVIEWERERROR_FOLDER,			// Bad Folder value
	SDKVIEWERERROR_FAXTALKFOLDER,	// Can't locate FaxTalk folder
	SDKVIEWERERROR_NOEXIST,			// File doesn't exist
	SDKVIEWERERROR_EMPTY,			// No files loaded
	SDKVIEWERERROR_NOCOM,			// Viewer COM object not found
	SDKVIEWERERROR_NOCOMINTERFACE,	// Viewer COM interface not found
	SDKVIEWERERROR_LOAD,			// Viewer Load error (first document)
	SDKVIEWERERROR_IMPORT,			// Viewer Import error
	SDKVIEWERERROR_ANNOTATE,		// Viewer Annotate error
	SDKVIEWERERROR_SAVE,			// Viewer Save error
	SDKVIEWERERROR_FILETYPE,		// File type not supported
} TSDKViewerError;

#endif