

// SDKViewer object defines
#ifndef _INC_SDKViewer
#define _INC_SDKViewer

typedef enum {
	VIEWER_FORMAT_FAX = 0x01,
	VIEWER_FORMAT_PDF = 0x02,
	VIEWER_FORMAT_TIF = 0x04,
	VIEWER_FORMAT_BMP = 0x08,
	VIEWER_FORMAT_PCX = 0x10,
	VIEWER_FORMAT_JPG = 0x20,
	VIEWER_FORMAT_PNG = 0x40,
} TSDKViewerFormats;


typedef enum {
	SDKVIEWERERROR_NOERROR = 0,
	SDKVIEWERERROR_FOLDER,			// Bad Folder value
	SDKVIEWERERROR_FAXTALKFOLDER,	// Can't locate FaxTalk folder
	SDKVIEWERERROR_NOEXIST,			// File doesn't exist
	SDKVIEWERERROR_EMPTY,			// No files loaded
	SDKVIEWERERROR_NOCOM,			// Viewer COM object not found
	SDKVIEWERERROR_NOCOMINTERFACE,	// Viewer COM interface not found
	SDKVIEWERERROR_LOAD,			// Viewer Load error (first document)
	SDKVIEWERERROR_IMPORT,			// Viewer Import error
	SDKVIEWERERROR_ANNOTATE,		// Viewer Annotate error
	SDKVIEWERERROR_SAVE,			// Viewer Save error
	SDKVIEWERERROR_FILETYPE,		// File type not supported
} TSDKViewerError;

#endif